:root {
    --color-lightblue: #01C3FF;
    --color-orange: #FE7235;
    --color-yellow: #FFC233;
    --color-blue: #0085FF;
    --color-cream: #ECE2D7;
    --color-lightpink: #FB99B8;

    --color-gray: #555;
    --color-black: #000;
	--vh: 100%;
}
@font-face {
    font-family: 'SCDream';
    font-weight:100;
    src: url('../fonts/SCDream1.woff');
}
@font-face {
    font-family: 'SCDream';
    font-weight:200;
    src: url('../fonts/SCDream2.woff');
}
@font-face {
    font-family: 'SCDream';
    font-weight:300;
    src: url('../fonts/SCDream3.woff');
}
@font-face {
    font-family: 'SCDream';
    font-weight:400;
    src: url('../fonts/SCDream4.woff');
}
@font-face {
    font-family: 'SCDream';
    font-weight:500;
    src: url('../fonts/SCDream5.woff');
}
@font-face {
    font-family: 'SCDream';
    font-weight:600;
    src: url('../fonts/SCDream6.woff');
}
@font-face {
    font-family: 'SCDream';
    font-weight:700;
    src: url('../fonts/SCDream7.woff');
}
@font-face {
    font-family: 'SCDream';
    font-weight:800;
    src: url('../fonts/SCDream8.woff');
}
@font-face {
    font-family: 'SCDream';
    font-weight:900;
    src: url('../fonts/SCDream9.woff');
}
html, body {background-color:#000; color:#fff;}

.read_only {width:1px; height:1px; margin:-1px; overflow:hidden; clip:rect(0, 0, 0, 0); white-space: nowrap; clip-path:polygon(0 0, 0 0, 0 0); position:absolute;}

// wrapper 
.wrapper {
    max-width:700px;
    margin:0 auto;
    padding-top:60px;
    display:flex;
    flex-direction: column;
    &.depth {
    }
    &.talk {
        width:100%;
        height:calc(var(--vh, 1vh) * 100);
        padding-top:0;
        box-sizing: border-box;
        display:flex;
        flex-direction: column;

    }
}


// margin
.mb20 {
    margin-bottom:20px !important;
}
// padding
.pb30 {
    padding-bottom:30px !important;
}
.pb80 {
    padding-bottom:80px !important;
}


// color
.color_lightblue {
    color:var(--color-lightblue);
}
.color_orange {
    color:var(--color-orange);
}
.color_yellow {
    color:var(--color-yellow);
}
.color_blue {
    color:var(--color-blue);
}
.color_cream {
    color:var(--color-cream);
}
.color_lightpink {
    color:var(--color-lightpink);
}
.color_gray {
    color:var(--color-gray);
}

// category
.category_wrap {
    overflow-x:auto;
    .categories {
        display:flex;
        flex-direction: row;
        padding:0 15px;
        flex-wrap:wrap;
        &.nowrap {
            flex-wrap: nowrap;
            .category {
                margin-bottom:0;
            }
        }
        .category {
            flex:0 0 auto;
            margin-right:5px;
            margin-bottom:10px;
            box-sizing: border-box;
            line-height:24px;
            padding:6px 14px; 
            font-size:14px;
            background-color: rgba(0, 0, 0, 0);
            border:1px solid #333;
            border-radius:10px;
            color:#fff;
            font-family: 'SCDream';
            font-weight:200;
            letter-spacing: -1px;
            cursor:pointer;
            &.selected {
                background-color:#fff;
                border: 1px solid #fff;
                color:#000;
                font-weight:600;
            }
        }

    }
}

// shape
.shapes {
    max-width:365px;
    margin:0 auto;
    box-sizing: border-box;
    padding:0 5px;
    display:flex;
    flex-direction: row;
    flex-wrap:wrap;
    
    &::after {
        content:'';
        display:block;
        clear:both;
    }
}

// tabs
.tabs {
    padding:0 15px;
    ul {
        display:flex;
        flex-direction: row;
        align-items: center;
        li {
            box-sizing: border-box;
            padding:6px 14px; 
            color: #FFF;
            font-family: "SCDream";
            font-size: 14px;
            font-weight: 200;
            line-height: 24px;
            letter-spacing: -1px;
            margin-right:5px;
            border-radius:10px;
            border:1px solid #333;
            &:last-child {
                margin-right:0;
            }
            &.on {
                background-color:#fff;
                color: #000;
                font-weight: 600;
            }
        }
    }
    &.left {
        ul {
            justify-content: flex-start;
        }
    }
    &.center {
        ul {
            justify-content: center;
        }
    }
    &.right {
        ul {
            justify-content: flex-end;
        }
    }
}


// swiper pagination 
.swiper_pagination {
    ul {
        margin:0 auto;
        display:flex;
        flex-direction: row;
        justify-content: center;
        li {
            width:6px;
            height:6px;
            background-color:#fff;
            border-radius: 50%;
            opacity:0.3;
            font-size:0; 
            line-height:0;
            text-indent: -9999px;
            margin-right:5px;
            cursor:pointer;
            &.active {opacity: 1;}
            &:last-child {margin-right:0;}
        }

    }
}

// 타이틀
.title {
    display:flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    &.sub {
        padding-bottom:10px;
        .text {
            padding-top:0;
            padding-bottom:0;
            font-size:16px;
        }
    }
    .text {
        padding:22px 15px 16px;
        font-size:20px;
        font-weight:600;
        letter-spacing: -2px;
        line-height:26px;
        color:#fff;
        font-family: 'SCDream';
        span {
            font-family: 'SCDream';
            font-weight:600;
            font-size:20px;
            letter-spacing: -2px;
            margin-left:2px;
        }
        &.is_icon {
            padding-left:43px;
            position:relative;
            &::before {
                content:'';
                display:block;
                width:23px;
                height:26px;
                background:url('../img/icon/ico_title.svg') no-repeat;
                background-size:100%;
                position:absolute;
                left:15px;
                top:22px;
            }
        }
    }
    .btns {
        padding-right:15px;
    }
}


// 툴팁형 미니 모달 
.modal {
    &.mini {
        width:120px;
        height:fit-content;
        box-sizing: border-box;
        padding:0 10px;
        line-height:44px;
        background-color:#000;
        border:1px solid #333;
        border-radius: 15px;
        box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.50);
        position:fixed;
        z-index:11;
        ul {
            display:flex;
            flex-direction: column;
            li {
                line-height:44px;
                text-align:center;
                font-size:14px;
                font-weight:400;
                letter-spacing: -1px;
                cursor: pointer;
            }
        }
        &.left {
            left:0;
            top:0;
            right:auto;
        }
        &.right {
            right:0;
            top:0;
            left:auto;
        }
    }
}

.underlined {
    position:relative;
    display:block;
    &.color_lightblue {
        &::after {
            background-color:var(--color-lightblue);
        }
    }
    &::after {
        content:'';
        display: block;
        width:100%;
        height:1px;
        position:absolute;
        left:0;
        bottom:-1px;
    }
}

// ico
.ico {
    position:relative;
    &::before {
        content:'';
        display:block;
        background-repeat:no-repeat;
        background-size:100%;
    }
    &.clock.small {
        &::before {
            width:12px;
            height:12px;
            background-image:url('../img/icon/ico_clock_small.png');
            position:absolute;
            left:3px;
            top:3px;
        }
    }
    &.refresh {
        padding-left:26px;
        &::before {
            width:24px;
            height:24px;
            background-image:url('../img/icon/ico_refresh.png');
            position:absolute;
            left:0;
            top:0;
        }
    }
    &.clock.black {
        display:block;
        padding-left:26px;
        &::before {
            width:24px;
            height:24px;
            background-image:url('../img/icon/ico_clock_black.png');
            position:absolute;
            left:0;
            top:0;
        }
    }
    &.arr.down.yellow {
        display:block;
        padding-right:19px;
        &::before {
            width:16px;
            height:16px;
            background-image:url('../img/icon/ico_arr_down_yellow.png');
            position:absolute;
            right:0;
            top:2px;
        }
    }
    &.popped.black {
        display:block;
        padding-left:28px;
        &::before {
            width:24px;
            height:24px;
            background-image:url('../img/icon/ico_popped_black.png');
            position:absolute;
            left:0;
            top:0;
        }
    }
    &.blue_pop {
        padding-left:25px;
        &::before {
            width:22px;
            height:25px;
            background-image:url('../img/icon/ico_blue_pop.svg');
            position:absolute;
            left:0;
            top:0;
        }
    }
}

// button 
.btns {
    display:flex;
    flex-direction: row;
}
.btn {
    width:24px;
    height:24px;
    background-repeat:no-repeat;
    background-size:100%;
    background-position:center center;
    vertical-align: top;
    &.only_img {
        font-size:0;
        line-height:0;
        text-indent: -9999px;
    }
    &.in_circle {
        width:40px;
        height:40px;
        background-color:#222;
        border-radius:50%;
    }
    &.back {
        background-image:url('../img/btn/btn_back.png');
        background-size:24px;
        position:relative;
        z-index:10;
    }
    &.create {
        background-image:url('../img/btn/btn_create.png');
        background-size:24px;
        &:hover {
            background-color:#555;
        }
    }
    &.option {
        background-image:url('../img/btn/btn_option.png');
        background-size:24px;
        &:hover {
            background-color:#555;
        }
    }
    &.more {
        background-image:url('../img/btn/btn_more.svg');
        background-size:16px;
    }
    &.more.circle {
        background-image:url('../img/btn/btn_circle_more.png');
        background-size:24px;
    }
    &.more.circle.disabled {
        background-image:url('../img/btn/btn_circle_more_disabled.png');
        background-size:24px;
        cursor:default;
    }
    &.emoji {
        background-image:url('../img/btn/btn_emoji.png');
        background-size:24px;
    }
    &.emoji.selected {
        background-image:url('../img/btn/btn_emoji_selected.png');
        background-size:24px;
    }
    &.send {
        width:30px;
        height:30px;
        background-image:url('../img/btn/btn_send.png');
        background-size:30px;
    }
    &.send.on {
        width:30px;
        height:30px;
        background-image:url('../img/btn/btn_send_on.png');
        background-size:30px;
    }
    &.photo {
        background-image:url('../img/btn/btn_photo.png');
        background-size:24px;
    }
    &.arr.down.yellow {
        width:36px;
        height:36px;
        padding:0;
        background-image:url('../img/icon/ico_arr_down_yellow.png');
        background-size:16px;
    }
    &.del {
        width:20px;
        height:20px;
        background-image:url('../img/btn/btn_del.png');
    }
    &.img_del {
        width:18px;
        height:18px;
        background-image:url('../img/btn/btn_img_del.png');
        background-size:18px;
    }

    &.radio {
        width:20px;
        height:20px;
        display:block;
        background-image:url('../img/btn/btn_radio.png');
        background-size:100%;
        &.on {
            background-image:url('../img/btn/btn_radio_on.png');
        }
    }

    
    &.close {
        background-image:url('../img/btn/btn_x.png');
        background-size:24px;
        position:relative;
        z-index:10;
    }

    &.checkbox.toggle {
        width:54px;
        height:30px;
        display:block;
        background-image:url('../img/btn/btn_toggle.svg');
        background-size:54px 30px;
        &.on {
            background-image:url('../img/btn/btn_toggle_on.svg');
        }
    }
    &.checkbox {
        width:24px;
        height:24px;
        display:block;
        background-image:url('../img/btn/btn_checkbox.png');
        background-size:100%;
        &.on {
            background-image:url('../img/btn/btn_checkbox_on.png')
        }
    }
    &.text {
        width:auto;
        height:auto;
        margin:0 auto;
        padding: 14px 48px 14px 30px;
        display:inline-block;
        border:1px solid #333;
        background-color:#222;
        border-radius:46px;
        background-position:calc(100% - 30px) 17px;
        font-family:'SCDream';
        font-size:16px;
        line-height:24px;
        letter-spacing: -2px;
        font-weight:200;
        &, * {
            font-family:'SCDream';
        }
        &.origin {
            padding:0;
            background-color:rgba(0, 0, 0, 0);
            border:none;
            font-weight:500;
            color:#fff;
            letter-spacing: -1px;
        }
        &.white {
            padding:14px 25px;
            background-color:#fff;
            border:none;
            &, * {
                color:#000;
                font-weight:700;
            }
        }
        &.yellow {
            background-color:var(--color-yellow);
            &, * {
                color:#222;
                font-size:14px;
                text-align: center;
                letter-spacing: -0.5px;
            }
            &:disabled {
                background-color:#999;
            }
        }
        &.small {
            padding:6px 20px;
            border-radius:27px;
            border:1px solid #555;
            background-color:#333;
            &, * {
                color: #ccc;
                font-family:"Apple SD Gothic Neo", -apple-system, "맑은 고딕","Malgun Gothic","돋움";
                font-size: 13px;
                font-weight: 700;
                line-height: 16px; 
                letter-spacing: -0.5px;
            }
            &.no_border {
                border:1px solid #333;
                background-color:#333;
            }
        }
        &.disabled {
            opacity:0.5;
            cursor:default;
        }
        &.inline_text {
            width:fit-content;
            height:auto;
            color:#ccc;
            letter-spacing: -0.5px;
            margin:0;
            background:none;
            font-family:"Apple SD Gothic Neo", -apple-system, "맑은 고딕","Malgun Gothic","돋움";
        }
    }
    &.border_yellow {
        padding:8px 20px;
        padding-right:20px;
        border-radius: 35px;
        border: 1px solid #FFCA40;
        background-color: #1D1500;
        &, * {
            color:#ffca40;
            font-size:12px;
            font-weight:500;
            line-height:20px;
            letter-spacing: -1px;
        }
    }
}
.btn_area {
    &.center {
        text-align:center;
    }
    .page {
        margin-left:2px;
        color:#999;
        .current {
            font-weight:600;
            color:#fff;
        }
    }
}

// 두 개 이상의 버튼이 row에 있을 경우
.btn_wrapper {
    display:flex;
    flex-direction: row;
    align-items: center;
    padding:0 15px;
    & > .btn {
        flex:1;        
        border-radius:6px;
        margin-right:5px;
        padding:14px 10px;
        box-sizing: border-box;
        text-align:center;
        &, & * {
            font-size:14px;
            line-height: 20px; 
            &.yellow * {
                font-weight:700;
            }
        }
        &:last-child {
            margin-right:0;
        }
    }
}

// 라디오 버튼, 체크박스 버튼
.input_btn_area {
    input[type="radio"], input[type="checkbox"], input[type="file"] {
        width:0;
        height:0;
        line-height:0;
        display:none;
    }
    label {
        display:flex;
        flex-direction: row;
        align-items: center;
        .text {
            color: #FFF;
            font-size: 15px;
            font-weight: 400;
            line-height: 20px;
            letter-spacing: -0.5px;
            margin-left:2px;
        }
    }
}
.input_text_area {
    input {
        width:100%;
        height:42px;
        padding:8px 0;
        box-sizing: border-box;
        background-color:#000;
        border-bottom: 1px solid #333;
        color: #FFF;
        font-size: 18px;
        font-weight: 400;
        line-height: 26px;
        letter-spacing: -1px;
    }
    &.active {
        input {
            border-bottom-color:var(--color-blue);
        }
    }
    &.err {
        input {
            border-bottom-color:#FE7235;
        }
    }
}

// input
.placeholder {
    color:#999;
    font-size:14px;
    font-weight:300;
    line-height:20px;
    letter-spacing: -1px;
    position:absolute;
    left:15px;
    top:10px;
}
// popup
.popup {
    position:fixed;
    left:0;
    top:0;
    right:0;
    bottom:0;
    z-index:11;
    .bg {
        width:100%;
        height:calc(var(--vh, 1vh) * 100);
        background-color:rgba(0,0,0,0.7);
        position: absolute;
        left:0;
        top:0;
        bottom:0;
        right:0;
    }
    .contents {
        text-align: center;
        position:absolute;
        left:50%;
        top:50%;
        transform:translate(-50%, -50%);
        box-sizing: border-box;
        padding:25px 20px;
        border-radius:15px;
        background-color:#333;
        .text_wrap {
            color: #CCC;
            text-align: center;
            font-size: 14px;
            font-weight: 400;
            line-height: 20px;
            letter-spacing: -0.5px;
            margin-bottom: 10px;
        }
        .btn_wrapper {
            padding:0;
        }

    }
    &.lg {
        .contents {
            width:300px;
        }
    }
    &.md {
        .contents {
            width:250px;
        }
    }
    &.sm {
        .contents {
            width:200px;
        }
    }
}

// 텍스트필드 + 에러메시지 + 헬프메시지
.input_text_group {    
    .input_wrap {
        padding: 0 15px;
        position:relative;
        margin-bottom:5px;
        .input_text_wrap {
            padding-right:25px;
        }
        .btn.del {
            position:absolute;
            right:15px;
            top:11px;
        }
    }
    .len_wrap {
        padding: 0 15px;
        position:relative;
        .len {
            text-align:right;
            margin-bottom:5px;
            color: #555;
            font-size: 12px;
            font-weight: 400;
            line-height: 16px;
            letter-spacing: -1px;
            &.color_white {
                color:#fff;
            }
        }
        .err {
            color: #FE7235;
            font-size: 12px;
            font-weight: 400;
            line-height: 16px;
            letter-spacing: -1px;
            position:absolute;
            left:15px;
            top:0;
        }
        
    }
}
.help_text {
    padding: 0 15px;
    color: #999;
    font-size: 13px;
    font-weight: 400;
    line-height: 18px;
    letter-spacing: -1px;
}

// 토스트메시지
.toast {
    width:100%;
    box-sizing: border-box;
    position:absolute;
    left:0;
    bottom:40px;
    .inner {
        margin:0 15px;
        padding:13px 10px;
        border-radius: 5px;
        background-color:rgba(51, 51, 51, 0.9);
        box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.25);
        color: #FFF;
        text-align: center;
        font-size: 14px;
        font-weight: 400;
        line-height: 20px;
        letter-spacing: -1px;
    }
}


.link.external {
    padding-bottom:20px;
    .underlined {
        font-size: 14px;
        font-weight: 400;
        line-height: 20px;
        letter-spacing: -0.5px;
        display:inline-block;
        &::after {
            display:inline-block;
        }
    }
}